
/** \class ExRootAnalysisLinkDef
 *
 *  Lists classes to be included in cint dicitonary
 *
 *  $Date: 2008-07-08 12:01:52 $
 *  $Revision: 1.2 $
 *
 *  
 *  \author P. Demin - UCL, Louvain-la-Neuve
 *
 */

#include "ExRootAnalysis/ExRootSortableObject.h"
#include "ExRootAnalysis/ExRootClasses.h"
#include "ExRootAnalysis/ExRootCandidate.h"
#include "ExRootAnalysis/ExRootCandList.h"
#include "ExRootAnalysis/ExRootTreeReader.h"
#include "ExRootAnalysis/ExRootTreeWriter.h"
#include "ExRootAnalysis/ExRootTreeBranch.h"
#include "ExRootAnalysis/ExRootResult.h"
#include "ExRootAnalysis/ExRootUtilities.h"
#include "ExRootAnalysis/ExRootClassifier.h"
#include "ExRootAnalysis/ExRootFilter.h"

#include "ExRootAnalysis/ExRootProgressBar.h"
#include "ExRootAnalysis/ExRootConfReader.h"
#include "ExRootAnalysis/ExRootEventLoop.h"
#include "ExRootAnalysis/ExRootAnalysis.h"
#include "ExRootAnalysis/ExRootFactory.h"
#include "ExRootAnalysis/ExRootModule.h"
#include "ExRootAnalysis/ExRootTask.h"

#ifdef __CINT__

#pragma link off all globals;
#pragma link off all classes;
#pragma link off all functions;

#pragma link C++ class ExRootSortableObject+;
#pragma link C++ class ExRootLHEFEvent+;
#pragma link C++ class ExRootLHEFParticle+;
#pragma link C++ class ExRootGenEvent+;
#pragma link C++ class ExRootGenParticle+;
#pragma link C++ class ExRootGenJet+;
#pragma link C++ class ExRootGenMatch+;
#pragma link C++ class ExRootMatching+;
#pragma link C++ class ExRootEvent+;
#pragma link C++ class ExRootMissingET+;
#pragma link C++ class ExRootPhoton+;
#pragma link C++ class ExRootElectron+;
#pragma link C++ class ExRootMuon+;
#pragma link C++ class ExRootTau+;
#pragma link C++ class ExRootJet+;

#pragma link C++ class ExRootCandidate+;
#pragma link C++ class ExRootCandList+;
#pragma link C++ class ExRootTreeReader+;
#pragma link C++ class ExRootTreeBranch+;
#pragma link C++ class ExRootTreeWriter+;
#pragma link C++ class ExRootResult+;
#pragma link C++ class ExRootClassifier+;
#pragma link C++ class ExRootFilter+;

#pragma link C++ class ExRootProgressBar+;
#pragma link C++ class ExRootConfReader+;
#pragma link C++ class ExRootEventLoop+;
#pragma link C++ class ExRootAnalysis+;
#pragma link C++ class ExRootFactory+;
#pragma link C++ class ExRootModule+;
#pragma link C++ class ExRootTask+;

#pragma link C++ function HistStyle;
#pragma link C++ function FillChain;

#endif

